osdir.com


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Discussion] Limit the scope of 2.4.x patches until 2.4.next is released?


On Thu, Oct 18, 2018 at 4:56 AM Rainer Jung <rainer.jung@xxxxxxxxxxx> wrote:
- The other one goes back to the other big refactoring which allowed to
use SSLProxy* directives in <Proxy> containers, first released in 2.4.32
this year. It fixes a missing config merge (very small patch). This is
not related to the OpenSSL 1.1.1 changes but is a small patch fixing a
regression introduced a few months ago. I think it could go into 2.4.37,
but would understand a more restricted approach.

I agree that reverting any now discovered/resolved regression falls under 
the idea of a maintenance release scope, even one more narrowed to
"don't break the release 2x in a row" narrower scope.